import catppuccin

# pylint: disable=C0111
from qutebrowser.config.configfiles import ConfigAPI  # noqa: F401
from qutebrowser.config.config import ConfigContainer  # noqa: F401

# fmt: off
config: ConfigAPI = config  # type: ConfigAPI # noqa: F821 pylint: disable=E0602,C0103 # pyright: ignore
c: ConfigContainer = c  # type: ConfigContainer # noqa: F821 pylint: disable=E0602,C0103 # pyright: ignore
# fmt: on

# load autoconfig values
config.load_autoconfig()

# load catppuccin theme
catppuccin.setup(c, "Machiatto", True)

# load custom configs
config.source("pyconfig/redirectors.py")

# enable dark mode
c.colors.webpage.darkmode.enabled = True

# change startpage and default page
c.url.start_pages = ["https://startpage.cronyakatsuki.xyz"]
c.url.default_page = "https://startpage.cronyakatsuki.xyz"

# search engines
c.url.searchengines = {
    "DEFAULT": "https://searx.cronyakatsuki.xyz/?q={}",
    "aw": "https://wiki.archlinux.org/?search={}",
    "re": "https://www.reddit.com/r/{}",
    "w": "https://en.wikipedia.org/wiki/{}",
    "y": "https://www.youtube.com/results?search_query={}",
}

c.content.javascript.enabled = False

# enable dark mode
c.content.webpage.darkmode.enable = True
